// @ts-nocheck
import { registerIllustrationLoader } from "@ui5/webcomponents-base/dist/asset-registries/Illustrations.js";
export const loadIllustration = async (illustrationName) => {
    const collectionAndPrefix = "fiori/V4/";
    const cleanIllustrationName = illustrationName.startsWith(collectionAndPrefix) ? illustrationName.replace(collectionAndPrefix, "") : illustrationName;
    switch (cleanIllustrationName) {
        case "Achievement": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-achievement" */ "../../illustrations/Achievement.js")).default;
        case "AddColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-addcolumn" */ "../../illustrations/AddColumn.js")).default;
        case "AddDimensions": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-adddimensions" */ "../../illustrations/AddDimensions.js")).default;
        case "AddPeople": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-addpeople" */ "../../illustrations/AddPeople.js")).default;
        case "AddPeopleToCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-addpeopletocalendar" */ "../../illustrations/AddPeopleToCalendar.js")).default;
        case "AddingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-addingcolumns" */ "../../illustrations/AddingColumns.js")).default;
        case "BalloonSky": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-balloonsky" */ "../../illustrations/BalloonSky.js")).default;
        case "BeforeSearch": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-beforesearch" */ "../../illustrations/BeforeSearch.js")).default;
        case "Connection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-connection" */ "../../illustrations/Connection.js")).default;
        case "DragFilesToUpload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-dragfilestoupload" */ "../../illustrations/DragFilesToUpload.js")).default;
        case "EmptyCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-emptycalendar" */ "../../illustrations/EmptyCalendar.js")).default;
        case "EmptyList": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-emptylist" */ "../../illustrations/EmptyList.js")).default;
        case "EmptyPlanningCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-emptyplanningcalendar" */ "../../illustrations/EmptyPlanningCalendar.js")).default;
        case "ErrorScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-errorscreen" */ "../../illustrations/ErrorScreen.js")).default;
        case "FilterTable": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-filtertable" */ "../../illustrations/FilterTable.js")).default;
        case "FilteringColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-filteringcolumns" */ "../../illustrations/FilteringColumns.js")).default;
        case "GroupTable": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-grouptable" */ "../../illustrations/GroupTable.js")).default;
        case "GroupingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-groupingcolumns" */ "../../illustrations/GroupingColumns.js")).default;
        case "KeyTask": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-keytask" */ "../../illustrations/KeyTask.js")).default;
        case "NewMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-newmail" */ "../../illustrations/NewMail.js")).default;
        case "NoActivities": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-noactivities" */ "../../illustrations/NoActivities.js")).default;
        case "NoChartData": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-nochartdata" */ "../../illustrations/NoChartData.js")).default;
        case "NoColumnsSet": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-nocolumnsset" */ "../../illustrations/NoColumnsSet.js")).default;
        case "NoData": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-nodata" */ "../../illustrations/NoData.js")).default;
        case "NoDimensionsSet": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-nodimensionsset" */ "../../illustrations/NoDimensionsSet.js")).default;
        case "NoEntries": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-noentries" */ "../../illustrations/NoEntries.js")).default;
        case "NoFilterResults": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-nofilterresults" */ "../../illustrations/NoFilterResults.js")).default;
        case "NoMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-nomail" */ "../../illustrations/NoMail.js")).default;
        case "NoMail_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-nomail_v1" */ "../../illustrations/NoMail_v1.js")).default;
        case "NoNotifications": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-nonotifications" */ "../../illustrations/NoNotifications.js")).default;
        case "NoSavedItems": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-nosaveditems" */ "../../illustrations/NoSavedItems.js")).default;
        case "NoSavedItems_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-nosaveditems_v1" */ "../../illustrations/NoSavedItems_v1.js")).default;
        case "NoSearchResults": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-nosearchresults" */ "../../illustrations/NoSearchResults.js")).default;
        case "NoTasks": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-notasks" */ "../../illustrations/NoTasks.js")).default;
        case "NoTasks_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-notasks_v1" */ "../../illustrations/NoTasks_v1.js")).default;
        case "PageNotFound": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-pagenotfound" */ "../../illustrations/PageNotFound.js")).default;
        case "ReceiveAppreciation": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-receiveappreciation" */ "../../illustrations/ReceiveAppreciation.js")).default;
        case "ReloadScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-reloadscreen" */ "../../illustrations/ReloadScreen.js")).default;
        case "ResizeColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-resizecolumn" */ "../../illustrations/ResizeColumn.js")).default;
        case "ResizingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-resizingcolumns" */ "../../illustrations/ResizingColumns.js")).default;
        case "SearchEarth": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-searchearth" */ "../../illustrations/SearchEarth.js")).default;
        case "SearchFolder": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-searchfolder" */ "../../illustrations/SearchFolder.js")).default;
        case "SignOut": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-signout" */ "../../illustrations/SignOut.js")).default;
        case "SimpleBalloon": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simpleballoon" */ "../../illustrations/SimpleBalloon.js")).default;
        case "SimpleBell": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simplebell" */ "../../illustrations/SimpleBell.js")).default;
        case "SimpleCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simplecalendar" */ "../../illustrations/SimpleCalendar.js")).default;
        case "SimpleCheckMark": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simplecheckmark" */ "../../illustrations/SimpleCheckMark.js")).default;
        case "SimpleConnection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simpleconnection" */ "../../illustrations/SimpleConnection.js")).default;
        case "SimpleEmptyDoc": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simpleemptydoc" */ "../../illustrations/SimpleEmptyDoc.js")).default;
        case "SimpleEmptyList": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simpleemptylist" */ "../../illustrations/SimpleEmptyList.js")).default;
        case "SimpleError": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simpleerror" */ "../../illustrations/SimpleError.js")).default;
        case "SimpleMagnifier": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simplemagnifier" */ "../../illustrations/SimpleMagnifier.js")).default;
        case "SimpleMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simplemail" */ "../../illustrations/SimpleMail.js")).default;
        case "SimpleNoSavedItems": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simplenosaveditems" */ "../../illustrations/SimpleNoSavedItems.js")).default;
        case "SimpleNotFoundMagnifier": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simplenotfoundmagnifier" */ "../../illustrations/SimpleNotFoundMagnifier.js")).default;
        case "SimpleReload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simplereload" */ "../../illustrations/SimpleReload.js")).default;
        case "SimpleTask": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-simpletask" */ "../../illustrations/SimpleTask.js")).default;
        case "SleepingBell": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sleepingbell" */ "../../illustrations/SleepingBell.js")).default;
        case "SortColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sortcolumn" */ "../../illustrations/SortColumn.js")).default;
        case "SortingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sortingcolumns" */ "../../illustrations/SortingColumns.js")).default;
        case "SuccessBalloon": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-successballoon" */ "../../illustrations/SuccessBalloon.js")).default;
        case "SuccessCheckMark": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-successcheckmark" */ "../../illustrations/SuccessCheckMark.js")).default;
        case "SuccessHighFive": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-successhighfive" */ "../../illustrations/SuccessHighFive.js")).default;
        case "SuccessScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-successscreen" */ "../../illustrations/SuccessScreen.js")).default;
        case "Survey": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-survey" */ "../../illustrations/Survey.js")).default;
        case "Tent": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-tent" */ "../../illustrations/Tent.js")).default;
        case "UnableToLoad": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-unabletoload" */ "../../illustrations/UnableToLoad.js")).default;
        case "UnableToLoadImage": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-unabletoloadimage" */ "../../illustrations/UnableToLoadImage.js")).default;
        case "UnableToUpload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-unabletoupload" */ "../../illustrations/UnableToUpload.js")).default;
        case "UploadCollection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-uploadcollection" */ "../../illustrations/UploadCollection.js")).default;
        case "UploadToCloud": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-uploadtocloud" */ "../../illustrations/UploadToCloud.js")).default;
        case "UserHasSignedUp": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-userhassignedup" */ "../../illustrations/UserHasSignedUp.js")).default;
        case "sapIllus-Dialog-Achievement": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-achievement" */ "../../illustrations/sapIllus-Dialog-Achievement.js")).default;
        case "sapIllus-Dialog-AddColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-addcolumn" */ "../../illustrations/sapIllus-Dialog-AddColumn.js")).default;
        case "sapIllus-Dialog-AddDimensions": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-adddimensions" */ "../../illustrations/sapIllus-Dialog-AddDimensions.js")).default;
        case "sapIllus-Dialog-AddPeople": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-addpeople" */ "../../illustrations/sapIllus-Dialog-AddPeople.js")).default;
        case "sapIllus-Dialog-AddPeopleToCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-addpeopletocalendar" */ "../../illustrations/sapIllus-Dialog-AddPeopleToCalendar.js")).default;
        case "sapIllus-Dialog-AddingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-addingcolumns" */ "../../illustrations/sapIllus-Dialog-AddingColumns.js")).default;
        case "sapIllus-Dialog-BalloonSky": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-balloonsky" */ "../../illustrations/sapIllus-Dialog-BalloonSky.js")).default;
        case "sapIllus-Dialog-BeforeSearch": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-beforesearch" */ "../../illustrations/sapIllus-Dialog-BeforeSearch.js")).default;
        case "sapIllus-Dialog-Connection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-connection" */ "../../illustrations/sapIllus-Dialog-Connection.js")).default;
        case "sapIllus-Dialog-DragFilesToUpload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-dragfilestoupload" */ "../../illustrations/sapIllus-Dialog-DragFilesToUpload.js")).default;
        case "sapIllus-Dialog-EmptyCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-emptycalendar" */ "../../illustrations/sapIllus-Dialog-EmptyCalendar.js")).default;
        case "sapIllus-Dialog-EmptyList": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-emptylist" */ "../../illustrations/sapIllus-Dialog-EmptyList.js")).default;
        case "sapIllus-Dialog-EmptyPlanningCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-emptyplanningcalendar" */ "../../illustrations/sapIllus-Dialog-EmptyPlanningCalendar.js")).default;
        case "sapIllus-Dialog-ErrorScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-errorscreen" */ "../../illustrations/sapIllus-Dialog-ErrorScreen.js")).default;
        case "sapIllus-Dialog-FilterTable": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-filtertable" */ "../../illustrations/sapIllus-Dialog-FilterTable.js")).default;
        case "sapIllus-Dialog-FilteringColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-filteringcolumns" */ "../../illustrations/sapIllus-Dialog-FilteringColumns.js")).default;
        case "sapIllus-Dialog-GroupTable": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-grouptable" */ "../../illustrations/sapIllus-Dialog-GroupTable.js")).default;
        case "sapIllus-Dialog-GroupingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-groupingcolumns" */ "../../illustrations/sapIllus-Dialog-GroupingColumns.js")).default;
        case "sapIllus-Dialog-KeyTask": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-keytask" */ "../../illustrations/sapIllus-Dialog-KeyTask.js")).default;
        case "sapIllus-Dialog-NewMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-newmail" */ "../../illustrations/sapIllus-Dialog-NewMail.js")).default;
        case "sapIllus-Dialog-NoActivities": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-noactivities" */ "../../illustrations/sapIllus-Dialog-NoActivities.js")).default;
        case "sapIllus-Dialog-NoChartData": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-nochartdata" */ "../../illustrations/sapIllus-Dialog-NoChartData.js")).default;
        case "sapIllus-Dialog-NoColumnsSet": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-nocolumnsset" */ "../../illustrations/sapIllus-Dialog-NoColumnsSet.js")).default;
        case "sapIllus-Dialog-NoData": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-nodata" */ "../../illustrations/sapIllus-Dialog-NoData.js")).default;
        case "sapIllus-Dialog-NoDimensionsSet": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-nodimensionsset" */ "../../illustrations/sapIllus-Dialog-NoDimensionsSet.js")).default;
        case "sapIllus-Dialog-NoEntries": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-noentries" */ "../../illustrations/sapIllus-Dialog-NoEntries.js")).default;
        case "sapIllus-Dialog-NoFilterResults": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-nofilterresults" */ "../../illustrations/sapIllus-Dialog-NoFilterResults.js")).default;
        case "sapIllus-Dialog-NoMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-nomail" */ "../../illustrations/sapIllus-Dialog-NoMail.js")).default;
        case "sapIllus-Dialog-NoMail_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-nomail_v1" */ "../../illustrations/sapIllus-Dialog-NoMail_v1.js")).default;
        case "sapIllus-Dialog-NoNotifications": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-nonotifications" */ "../../illustrations/sapIllus-Dialog-NoNotifications.js")).default;
        case "sapIllus-Dialog-NoSavedItems": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-nosaveditems" */ "../../illustrations/sapIllus-Dialog-NoSavedItems.js")).default;
        case "sapIllus-Dialog-NoSavedItems_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-nosaveditems_v1" */ "../../illustrations/sapIllus-Dialog-NoSavedItems_v1.js")).default;
        case "sapIllus-Dialog-NoSearchResults": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-nosearchresults" */ "../../illustrations/sapIllus-Dialog-NoSearchResults.js")).default;
        case "sapIllus-Dialog-NoTasks": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-notasks" */ "../../illustrations/sapIllus-Dialog-NoTasks.js")).default;
        case "sapIllus-Dialog-NoTasks_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-notasks_v1" */ "../../illustrations/sapIllus-Dialog-NoTasks_v1.js")).default;
        case "sapIllus-Dialog-PageNotFound": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-pagenotfound" */ "../../illustrations/sapIllus-Dialog-PageNotFound.js")).default;
        case "sapIllus-Dialog-ReceiveAppreciation": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-receiveappreciation" */ "../../illustrations/sapIllus-Dialog-ReceiveAppreciation.js")).default;
        case "sapIllus-Dialog-ReloadScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-reloadscreen" */ "../../illustrations/sapIllus-Dialog-ReloadScreen.js")).default;
        case "sapIllus-Dialog-ResizeColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-resizecolumn" */ "../../illustrations/sapIllus-Dialog-ResizeColumn.js")).default;
        case "sapIllus-Dialog-ResizingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-resizingcolumns" */ "../../illustrations/sapIllus-Dialog-ResizingColumns.js")).default;
        case "sapIllus-Dialog-SearchEarth": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-searchearth" */ "../../illustrations/sapIllus-Dialog-SearchEarth.js")).default;
        case "sapIllus-Dialog-SearchFolder": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-searchfolder" */ "../../illustrations/sapIllus-Dialog-SearchFolder.js")).default;
        case "sapIllus-Dialog-SignOut": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-signout" */ "../../illustrations/sapIllus-Dialog-SignOut.js")).default;
        case "sapIllus-Dialog-SimpleBalloon": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simpleballoon" */ "../../illustrations/sapIllus-Dialog-SimpleBalloon.js")).default;
        case "sapIllus-Dialog-SimpleBell": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simplebell" */ "../../illustrations/sapIllus-Dialog-SimpleBell.js")).default;
        case "sapIllus-Dialog-SimpleCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simplecalendar" */ "../../illustrations/sapIllus-Dialog-SimpleCalendar.js")).default;
        case "sapIllus-Dialog-SimpleCheckMark": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simplecheckmark" */ "../../illustrations/sapIllus-Dialog-SimpleCheckMark.js")).default;
        case "sapIllus-Dialog-SimpleConnection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simpleconnection" */ "../../illustrations/sapIllus-Dialog-SimpleConnection.js")).default;
        case "sapIllus-Dialog-SimpleEmptyDoc": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simpleemptydoc" */ "../../illustrations/sapIllus-Dialog-SimpleEmptyDoc.js")).default;
        case "sapIllus-Dialog-SimpleEmptyList": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simpleemptylist" */ "../../illustrations/sapIllus-Dialog-SimpleEmptyList.js")).default;
        case "sapIllus-Dialog-SimpleError": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simpleerror" */ "../../illustrations/sapIllus-Dialog-SimpleError.js")).default;
        case "sapIllus-Dialog-SimpleMagnifier": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simplemagnifier" */ "../../illustrations/sapIllus-Dialog-SimpleMagnifier.js")).default;
        case "sapIllus-Dialog-SimpleMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simplemail" */ "../../illustrations/sapIllus-Dialog-SimpleMail.js")).default;
        case "sapIllus-Dialog-SimpleNoSavedItems": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simplenosaveditems" */ "../../illustrations/sapIllus-Dialog-SimpleNoSavedItems.js")).default;
        case "sapIllus-Dialog-SimpleNotFoundMagnifier": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simplenotfoundmagnifier" */ "../../illustrations/sapIllus-Dialog-SimpleNotFoundMagnifier.js")).default;
        case "sapIllus-Dialog-SimpleReload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simplereload" */ "../../illustrations/sapIllus-Dialog-SimpleReload.js")).default;
        case "sapIllus-Dialog-SimpleTask": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-simpletask" */ "../../illustrations/sapIllus-Dialog-SimpleTask.js")).default;
        case "sapIllus-Dialog-SleepingBell": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-sleepingbell" */ "../../illustrations/sapIllus-Dialog-SleepingBell.js")).default;
        case "sapIllus-Dialog-SortColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-sortcolumn" */ "../../illustrations/sapIllus-Dialog-SortColumn.js")).default;
        case "sapIllus-Dialog-SortingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-sortingcolumns" */ "../../illustrations/sapIllus-Dialog-SortingColumns.js")).default;
        case "sapIllus-Dialog-SuccessBalloon": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-successballoon" */ "../../illustrations/sapIllus-Dialog-SuccessBalloon.js")).default;
        case "sapIllus-Dialog-SuccessCheckMark": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-successcheckmark" */ "../../illustrations/sapIllus-Dialog-SuccessCheckMark.js")).default;
        case "sapIllus-Dialog-SuccessHighFive": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-successhighfive" */ "../../illustrations/sapIllus-Dialog-SuccessHighFive.js")).default;
        case "sapIllus-Dialog-SuccessScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-successscreen" */ "../../illustrations/sapIllus-Dialog-SuccessScreen.js")).default;
        case "sapIllus-Dialog-Survey": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-survey" */ "../../illustrations/sapIllus-Dialog-Survey.js")).default;
        case "sapIllus-Dialog-Tent": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-tent" */ "../../illustrations/sapIllus-Dialog-Tent.js")).default;
        case "sapIllus-Dialog-UnableToLoad": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-unabletoload" */ "../../illustrations/sapIllus-Dialog-UnableToLoad.js")).default;
        case "sapIllus-Dialog-UnableToLoadImage": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-unabletoloadimage" */ "../../illustrations/sapIllus-Dialog-UnableToLoadImage.js")).default;
        case "sapIllus-Dialog-UnableToUpload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-unabletoupload" */ "../../illustrations/sapIllus-Dialog-UnableToUpload.js")).default;
        case "sapIllus-Dialog-UploadCollection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-uploadcollection" */ "../../illustrations/sapIllus-Dialog-UploadCollection.js")).default;
        case "sapIllus-Dialog-UploadToCloud": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-uploadtocloud" */ "../../illustrations/sapIllus-Dialog-UploadToCloud.js")).default;
        case "sapIllus-Dialog-UserHasSignedUp": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dialog-userhassignedup" */ "../../illustrations/sapIllus-Dialog-UserHasSignedUp.js")).default;
        case "sapIllus-Dot-Achievement": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-achievement" */ "../../illustrations/sapIllus-Dot-Achievement.js")).default;
        case "sapIllus-Dot-AddColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-addcolumn" */ "../../illustrations/sapIllus-Dot-AddColumn.js")).default;
        case "sapIllus-Dot-AddDimensions": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-adddimensions" */ "../../illustrations/sapIllus-Dot-AddDimensions.js")).default;
        case "sapIllus-Dot-AddPeople": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-addpeople" */ "../../illustrations/sapIllus-Dot-AddPeople.js")).default;
        case "sapIllus-Dot-AddPeopleToCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-addpeopletocalendar" */ "../../illustrations/sapIllus-Dot-AddPeopleToCalendar.js")).default;
        case "sapIllus-Dot-AddingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-addingcolumns" */ "../../illustrations/sapIllus-Dot-AddingColumns.js")).default;
        case "sapIllus-Dot-BalloonSky": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-balloonsky" */ "../../illustrations/sapIllus-Dot-BalloonSky.js")).default;
        case "sapIllus-Dot-BeforeSearch": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-beforesearch" */ "../../illustrations/sapIllus-Dot-BeforeSearch.js")).default;
        case "sapIllus-Dot-Connection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-connection" */ "../../illustrations/sapIllus-Dot-Connection.js")).default;
        case "sapIllus-Dot-DragFilesToUpload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-dragfilestoupload" */ "../../illustrations/sapIllus-Dot-DragFilesToUpload.js")).default;
        case "sapIllus-Dot-EmptyCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-emptycalendar" */ "../../illustrations/sapIllus-Dot-EmptyCalendar.js")).default;
        case "sapIllus-Dot-EmptyList": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-emptylist" */ "../../illustrations/sapIllus-Dot-EmptyList.js")).default;
        case "sapIllus-Dot-EmptyPlanningCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-emptyplanningcalendar" */ "../../illustrations/sapIllus-Dot-EmptyPlanningCalendar.js")).default;
        case "sapIllus-Dot-ErrorScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-errorscreen" */ "../../illustrations/sapIllus-Dot-ErrorScreen.js")).default;
        case "sapIllus-Dot-FilterTable": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-filtertable" */ "../../illustrations/sapIllus-Dot-FilterTable.js")).default;
        case "sapIllus-Dot-FilteringColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-filteringcolumns" */ "../../illustrations/sapIllus-Dot-FilteringColumns.js")).default;
        case "sapIllus-Dot-GroupTable": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-grouptable" */ "../../illustrations/sapIllus-Dot-GroupTable.js")).default;
        case "sapIllus-Dot-GroupingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-groupingcolumns" */ "../../illustrations/sapIllus-Dot-GroupingColumns.js")).default;
        case "sapIllus-Dot-KeyTask": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-keytask" */ "../../illustrations/sapIllus-Dot-KeyTask.js")).default;
        case "sapIllus-Dot-NewMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-newmail" */ "../../illustrations/sapIllus-Dot-NewMail.js")).default;
        case "sapIllus-Dot-NoActivities": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-noactivities" */ "../../illustrations/sapIllus-Dot-NoActivities.js")).default;
        case "sapIllus-Dot-NoChartData": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-nochartdata" */ "../../illustrations/sapIllus-Dot-NoChartData.js")).default;
        case "sapIllus-Dot-NoColumnsSet": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-nocolumnsset" */ "../../illustrations/sapIllus-Dot-NoColumnsSet.js")).default;
        case "sapIllus-Dot-NoData": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-nodata" */ "../../illustrations/sapIllus-Dot-NoData.js")).default;
        case "sapIllus-Dot-NoDimensionsSet": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-nodimensionsset" */ "../../illustrations/sapIllus-Dot-NoDimensionsSet.js")).default;
        case "sapIllus-Dot-NoEntries": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-noentries" */ "../../illustrations/sapIllus-Dot-NoEntries.js")).default;
        case "sapIllus-Dot-NoFilterResults": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-nofilterresults" */ "../../illustrations/sapIllus-Dot-NoFilterResults.js")).default;
        case "sapIllus-Dot-NoMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-nomail" */ "../../illustrations/sapIllus-Dot-NoMail.js")).default;
        case "sapIllus-Dot-NoMail_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-nomail_v1" */ "../../illustrations/sapIllus-Dot-NoMail_v1.js")).default;
        case "sapIllus-Dot-NoNotifications": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-nonotifications" */ "../../illustrations/sapIllus-Dot-NoNotifications.js")).default;
        case "sapIllus-Dot-NoSavedItems": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-nosaveditems" */ "../../illustrations/sapIllus-Dot-NoSavedItems.js")).default;
        case "sapIllus-Dot-NoSavedItems_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-nosaveditems_v1" */ "../../illustrations/sapIllus-Dot-NoSavedItems_v1.js")).default;
        case "sapIllus-Dot-NoSearchResults": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-nosearchresults" */ "../../illustrations/sapIllus-Dot-NoSearchResults.js")).default;
        case "sapIllus-Dot-NoTasks": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-notasks" */ "../../illustrations/sapIllus-Dot-NoTasks.js")).default;
        case "sapIllus-Dot-NoTasks_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-notasks_v1" */ "../../illustrations/sapIllus-Dot-NoTasks_v1.js")).default;
        case "sapIllus-Dot-PageNotFound": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-pagenotfound" */ "../../illustrations/sapIllus-Dot-PageNotFound.js")).default;
        case "sapIllus-Dot-ReceiveAppreciation": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-receiveappreciation" */ "../../illustrations/sapIllus-Dot-ReceiveAppreciation.js")).default;
        case "sapIllus-Dot-ReloadScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-reloadscreen" */ "../../illustrations/sapIllus-Dot-ReloadScreen.js")).default;
        case "sapIllus-Dot-ResizeColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-resizecolumn" */ "../../illustrations/sapIllus-Dot-ResizeColumn.js")).default;
        case "sapIllus-Dot-ResizingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-resizingcolumns" */ "../../illustrations/sapIllus-Dot-ResizingColumns.js")).default;
        case "sapIllus-Dot-SearchEarth": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-searchearth" */ "../../illustrations/sapIllus-Dot-SearchEarth.js")).default;
        case "sapIllus-Dot-SearchFolder": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-searchfolder" */ "../../illustrations/sapIllus-Dot-SearchFolder.js")).default;
        case "sapIllus-Dot-SignOut": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-signout" */ "../../illustrations/sapIllus-Dot-SignOut.js")).default;
        case "sapIllus-Dot-SimpleBalloon": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simpleballoon" */ "../../illustrations/sapIllus-Dot-SimpleBalloon.js")).default;
        case "sapIllus-Dot-SimpleBell": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simplebell" */ "../../illustrations/sapIllus-Dot-SimpleBell.js")).default;
        case "sapIllus-Dot-SimpleCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simplecalendar" */ "../../illustrations/sapIllus-Dot-SimpleCalendar.js")).default;
        case "sapIllus-Dot-SimpleCheckMark": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simplecheckmark" */ "../../illustrations/sapIllus-Dot-SimpleCheckMark.js")).default;
        case "sapIllus-Dot-SimpleConnection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simpleconnection" */ "../../illustrations/sapIllus-Dot-SimpleConnection.js")).default;
        case "sapIllus-Dot-SimpleEmptyDoc": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simpleemptydoc" */ "../../illustrations/sapIllus-Dot-SimpleEmptyDoc.js")).default;
        case "sapIllus-Dot-SimpleEmptyList": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simpleemptylist" */ "../../illustrations/sapIllus-Dot-SimpleEmptyList.js")).default;
        case "sapIllus-Dot-SimpleError": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simpleerror" */ "../../illustrations/sapIllus-Dot-SimpleError.js")).default;
        case "sapIllus-Dot-SimpleMagnifier": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simplemagnifier" */ "../../illustrations/sapIllus-Dot-SimpleMagnifier.js")).default;
        case "sapIllus-Dot-SimpleMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simplemail" */ "../../illustrations/sapIllus-Dot-SimpleMail.js")).default;
        case "sapIllus-Dot-SimpleNoSavedItems": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simplenosaveditems" */ "../../illustrations/sapIllus-Dot-SimpleNoSavedItems.js")).default;
        case "sapIllus-Dot-SimpleNotFoundMagnifier": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simplenotfoundmagnifier" */ "../../illustrations/sapIllus-Dot-SimpleNotFoundMagnifier.js")).default;
        case "sapIllus-Dot-SimpleReload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simplereload" */ "../../illustrations/sapIllus-Dot-SimpleReload.js")).default;
        case "sapIllus-Dot-SimpleTask": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-simpletask" */ "../../illustrations/sapIllus-Dot-SimpleTask.js")).default;
        case "sapIllus-Dot-SleepingBell": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-sleepingbell" */ "../../illustrations/sapIllus-Dot-SleepingBell.js")).default;
        case "sapIllus-Dot-SortColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-sortcolumn" */ "../../illustrations/sapIllus-Dot-SortColumn.js")).default;
        case "sapIllus-Dot-SortingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-sortingcolumns" */ "../../illustrations/sapIllus-Dot-SortingColumns.js")).default;
        case "sapIllus-Dot-SuccessHighFive": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-successhighfive" */ "../../illustrations/sapIllus-Dot-SuccessHighFive.js")).default;
        case "sapIllus-Dot-SuccessScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-successscreen" */ "../../illustrations/sapIllus-Dot-SuccessScreen.js")).default;
        case "sapIllus-Dot-Survey": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-survey" */ "../../illustrations/sapIllus-Dot-Survey.js")).default;
        case "sapIllus-Dot-Tent": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-tent" */ "../../illustrations/sapIllus-Dot-Tent.js")).default;
        case "sapIllus-Dot-UnableToLoad": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-unabletoload" */ "../../illustrations/sapIllus-Dot-UnableToLoad.js")).default;
        case "sapIllus-Dot-UnableToLoadImage": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-unabletoloadimage" */ "../../illustrations/sapIllus-Dot-UnableToLoadImage.js")).default;
        case "sapIllus-Dot-UnableToUpload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-unabletoupload" */ "../../illustrations/sapIllus-Dot-UnableToUpload.js")).default;
        case "sapIllus-Dot-UploadCollection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-uploadcollection" */ "../../illustrations/sapIllus-Dot-UploadCollection.js")).default;
        case "sapIllus-Dot-UploadToCloud": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-uploadtocloud" */ "../../illustrations/sapIllus-Dot-UploadToCloud.js")).default;
        case "sapIllus-Dot-UserHasSignedUp": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-dot-userhassignedup" */ "../../illustrations/sapIllus-Dot-UserHasSignedUp.js")).default;
        case "sapIllus-Scene-Achievement": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-achievement" */ "../../illustrations/sapIllus-Scene-Achievement.js")).default;
        case "sapIllus-Scene-AddColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-addcolumn" */ "../../illustrations/sapIllus-Scene-AddColumn.js")).default;
        case "sapIllus-Scene-AddDimensions": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-adddimensions" */ "../../illustrations/sapIllus-Scene-AddDimensions.js")).default;
        case "sapIllus-Scene-AddPeople": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-addpeople" */ "../../illustrations/sapIllus-Scene-AddPeople.js")).default;
        case "sapIllus-Scene-AddPeopleToCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-addpeopletocalendar" */ "../../illustrations/sapIllus-Scene-AddPeopleToCalendar.js")).default;
        case "sapIllus-Scene-AddingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-addingcolumns" */ "../../illustrations/sapIllus-Scene-AddingColumns.js")).default;
        case "sapIllus-Scene-BalloonSky": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-balloonsky" */ "../../illustrations/sapIllus-Scene-BalloonSky.js")).default;
        case "sapIllus-Scene-BeforeSearch": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-beforesearch" */ "../../illustrations/sapIllus-Scene-BeforeSearch.js")).default;
        case "sapIllus-Scene-Connection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-connection" */ "../../illustrations/sapIllus-Scene-Connection.js")).default;
        case "sapIllus-Scene-DragFilesToUpload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-dragfilestoupload" */ "../../illustrations/sapIllus-Scene-DragFilesToUpload.js")).default;
        case "sapIllus-Scene-EmptyCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-emptycalendar" */ "../../illustrations/sapIllus-Scene-EmptyCalendar.js")).default;
        case "sapIllus-Scene-EmptyList": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-emptylist" */ "../../illustrations/sapIllus-Scene-EmptyList.js")).default;
        case "sapIllus-Scene-EmptyPlanningCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-emptyplanningcalendar" */ "../../illustrations/sapIllus-Scene-EmptyPlanningCalendar.js")).default;
        case "sapIllus-Scene-ErrorScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-errorscreen" */ "../../illustrations/sapIllus-Scene-ErrorScreen.js")).default;
        case "sapIllus-Scene-FilterTable": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-filtertable" */ "../../illustrations/sapIllus-Scene-FilterTable.js")).default;
        case "sapIllus-Scene-FilteringColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-filteringcolumns" */ "../../illustrations/sapIllus-Scene-FilteringColumns.js")).default;
        case "sapIllus-Scene-GroupTable": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-grouptable" */ "../../illustrations/sapIllus-Scene-GroupTable.js")).default;
        case "sapIllus-Scene-GroupingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-groupingcolumns" */ "../../illustrations/sapIllus-Scene-GroupingColumns.js")).default;
        case "sapIllus-Scene-KeyTask": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-keytask" */ "../../illustrations/sapIllus-Scene-KeyTask.js")).default;
        case "sapIllus-Scene-NewMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-newmail" */ "../../illustrations/sapIllus-Scene-NewMail.js")).default;
        case "sapIllus-Scene-NoActivities": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-noactivities" */ "../../illustrations/sapIllus-Scene-NoActivities.js")).default;
        case "sapIllus-Scene-NoChartData": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-nochartdata" */ "../../illustrations/sapIllus-Scene-NoChartData.js")).default;
        case "sapIllus-Scene-NoColumnsSet": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-nocolumnsset" */ "../../illustrations/sapIllus-Scene-NoColumnsSet.js")).default;
        case "sapIllus-Scene-NoData": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-nodata" */ "../../illustrations/sapIllus-Scene-NoData.js")).default;
        case "sapIllus-Scene-NoDimensionsSet": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-nodimensionsset" */ "../../illustrations/sapIllus-Scene-NoDimensionsSet.js")).default;
        case "sapIllus-Scene-NoEntries": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-noentries" */ "../../illustrations/sapIllus-Scene-NoEntries.js")).default;
        case "sapIllus-Scene-NoFilterResults": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-nofilterresults" */ "../../illustrations/sapIllus-Scene-NoFilterResults.js")).default;
        case "sapIllus-Scene-NoMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-nomail" */ "../../illustrations/sapIllus-Scene-NoMail.js")).default;
        case "sapIllus-Scene-NoMail_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-nomail_v1" */ "../../illustrations/sapIllus-Scene-NoMail_v1.js")).default;
        case "sapIllus-Scene-NoNotifications": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-nonotifications" */ "../../illustrations/sapIllus-Scene-NoNotifications.js")).default;
        case "sapIllus-Scene-NoSavedItems": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-nosaveditems" */ "../../illustrations/sapIllus-Scene-NoSavedItems.js")).default;
        case "sapIllus-Scene-NoSavedItems_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-nosaveditems_v1" */ "../../illustrations/sapIllus-Scene-NoSavedItems_v1.js")).default;
        case "sapIllus-Scene-NoSearchResults": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-nosearchresults" */ "../../illustrations/sapIllus-Scene-NoSearchResults.js")).default;
        case "sapIllus-Scene-NoTasks": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-notasks" */ "../../illustrations/sapIllus-Scene-NoTasks.js")).default;
        case "sapIllus-Scene-NoTasks_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-notasks_v1" */ "../../illustrations/sapIllus-Scene-NoTasks_v1.js")).default;
        case "sapIllus-Scene-PageNotFound": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-pagenotfound" */ "../../illustrations/sapIllus-Scene-PageNotFound.js")).default;
        case "sapIllus-Scene-ReceiveAppreciation": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-receiveappreciation" */ "../../illustrations/sapIllus-Scene-ReceiveAppreciation.js")).default;
        case "sapIllus-Scene-ReloadScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-reloadscreen" */ "../../illustrations/sapIllus-Scene-ReloadScreen.js")).default;
        case "sapIllus-Scene-ResizeColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-resizecolumn" */ "../../illustrations/sapIllus-Scene-ResizeColumn.js")).default;
        case "sapIllus-Scene-ResizingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-resizingcolumns" */ "../../illustrations/sapIllus-Scene-ResizingColumns.js")).default;
        case "sapIllus-Scene-SearchEarth": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-searchearth" */ "../../illustrations/sapIllus-Scene-SearchEarth.js")).default;
        case "sapIllus-Scene-SearchFolder": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-searchfolder" */ "../../illustrations/sapIllus-Scene-SearchFolder.js")).default;
        case "sapIllus-Scene-SignOut": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-signout" */ "../../illustrations/sapIllus-Scene-SignOut.js")).default;
        case "sapIllus-Scene-SimpleBalloon": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simpleballoon" */ "../../illustrations/sapIllus-Scene-SimpleBalloon.js")).default;
        case "sapIllus-Scene-SimpleBell": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simplebell" */ "../../illustrations/sapIllus-Scene-SimpleBell.js")).default;
        case "sapIllus-Scene-SimpleCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simplecalendar" */ "../../illustrations/sapIllus-Scene-SimpleCalendar.js")).default;
        case "sapIllus-Scene-SimpleCheckMark": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simplecheckmark" */ "../../illustrations/sapIllus-Scene-SimpleCheckMark.js")).default;
        case "sapIllus-Scene-SimpleConnection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simpleconnection" */ "../../illustrations/sapIllus-Scene-SimpleConnection.js")).default;
        case "sapIllus-Scene-SimpleEmptyDoc": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simpleemptydoc" */ "../../illustrations/sapIllus-Scene-SimpleEmptyDoc.js")).default;
        case "sapIllus-Scene-SimpleEmptyList": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simpleemptylist" */ "../../illustrations/sapIllus-Scene-SimpleEmptyList.js")).default;
        case "sapIllus-Scene-SimpleError": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simpleerror" */ "../../illustrations/sapIllus-Scene-SimpleError.js")).default;
        case "sapIllus-Scene-SimpleMagnifier": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simplemagnifier" */ "../../illustrations/sapIllus-Scene-SimpleMagnifier.js")).default;
        case "sapIllus-Scene-SimpleMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simplemail" */ "../../illustrations/sapIllus-Scene-SimpleMail.js")).default;
        case "sapIllus-Scene-SimpleNoSavedItems": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simplenosaveditems" */ "../../illustrations/sapIllus-Scene-SimpleNoSavedItems.js")).default;
        case "sapIllus-Scene-SimpleNotFoundMagnifier": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simplenotfoundmagnifier" */ "../../illustrations/sapIllus-Scene-SimpleNotFoundMagnifier.js")).default;
        case "sapIllus-Scene-SimpleReload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simplereload" */ "../../illustrations/sapIllus-Scene-SimpleReload.js")).default;
        case "sapIllus-Scene-SimpleTask": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-simpletask" */ "../../illustrations/sapIllus-Scene-SimpleTask.js")).default;
        case "sapIllus-Scene-SleepingBell": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-sleepingbell" */ "../../illustrations/sapIllus-Scene-SleepingBell.js")).default;
        case "sapIllus-Scene-SortColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-sortcolumn" */ "../../illustrations/sapIllus-Scene-SortColumn.js")).default;
        case "sapIllus-Scene-SortingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-sortingcolumns" */ "../../illustrations/sapIllus-Scene-SortingColumns.js")).default;
        case "sapIllus-Scene-SuccessBalloon": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-successballoon" */ "../../illustrations/sapIllus-Scene-SuccessBalloon.js")).default;
        case "sapIllus-Scene-SuccessCheckMark": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-successcheckmark" */ "../../illustrations/sapIllus-Scene-SuccessCheckMark.js")).default;
        case "sapIllus-Scene-SuccessHighFive": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-successhighfive" */ "../../illustrations/sapIllus-Scene-SuccessHighFive.js")).default;
        case "sapIllus-Scene-SuccessScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-successscreen" */ "../../illustrations/sapIllus-Scene-SuccessScreen.js")).default;
        case "sapIllus-Scene-Survey": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-survey" */ "../../illustrations/sapIllus-Scene-Survey.js")).default;
        case "sapIllus-Scene-Tent": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-tent" */ "../../illustrations/sapIllus-Scene-Tent.js")).default;
        case "sapIllus-Scene-UnableToLoad": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-unabletoload" */ "../../illustrations/sapIllus-Scene-UnableToLoad.js")).default;
        case "sapIllus-Scene-UnableToLoadImage": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-unabletoloadimage" */ "../../illustrations/sapIllus-Scene-UnableToLoadImage.js")).default;
        case "sapIllus-Scene-UnableToUpload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-unabletoupload" */ "../../illustrations/sapIllus-Scene-UnableToUpload.js")).default;
        case "sapIllus-Scene-UploadCollection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-uploadcollection" */ "../../illustrations/sapIllus-Scene-UploadCollection.js")).default;
        case "sapIllus-Scene-UploadToCloud": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-uploadtocloud" */ "../../illustrations/sapIllus-Scene-UploadToCloud.js")).default;
        case "sapIllus-Scene-UserHasSignedUp": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-scene-userhassignedup" */ "../../illustrations/sapIllus-Scene-UserHasSignedUp.js")).default;
        case "sapIllus-Spot-Achievement": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-achievement" */ "../../illustrations/sapIllus-Spot-Achievement.js")).default;
        case "sapIllus-Spot-AddColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-addcolumn" */ "../../illustrations/sapIllus-Spot-AddColumn.js")).default;
        case "sapIllus-Spot-AddDimensions": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-adddimensions" */ "../../illustrations/sapIllus-Spot-AddDimensions.js")).default;
        case "sapIllus-Spot-AddPeople": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-addpeople" */ "../../illustrations/sapIllus-Spot-AddPeople.js")).default;
        case "sapIllus-Spot-AddPeopleToCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-addpeopletocalendar" */ "../../illustrations/sapIllus-Spot-AddPeopleToCalendar.js")).default;
        case "sapIllus-Spot-AddingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-addingcolumns" */ "../../illustrations/sapIllus-Spot-AddingColumns.js")).default;
        case "sapIllus-Spot-BalloonSky": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-balloonsky" */ "../../illustrations/sapIllus-Spot-BalloonSky.js")).default;
        case "sapIllus-Spot-BeforeSearch": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-beforesearch" */ "../../illustrations/sapIllus-Spot-BeforeSearch.js")).default;
        case "sapIllus-Spot-Connection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-connection" */ "../../illustrations/sapIllus-Spot-Connection.js")).default;
        case "sapIllus-Spot-DragFilesToUpload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-dragfilestoupload" */ "../../illustrations/sapIllus-Spot-DragFilesToUpload.js")).default;
        case "sapIllus-Spot-EmptyCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-emptycalendar" */ "../../illustrations/sapIllus-Spot-EmptyCalendar.js")).default;
        case "sapIllus-Spot-EmptyList": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-emptylist" */ "../../illustrations/sapIllus-Spot-EmptyList.js")).default;
        case "sapIllus-Spot-EmptyPlanningCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-emptyplanningcalendar" */ "../../illustrations/sapIllus-Spot-EmptyPlanningCalendar.js")).default;
        case "sapIllus-Spot-ErrorScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-errorscreen" */ "../../illustrations/sapIllus-Spot-ErrorScreen.js")).default;
        case "sapIllus-Spot-FilterTable": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-filtertable" */ "../../illustrations/sapIllus-Spot-FilterTable.js")).default;
        case "sapIllus-Spot-FilteringColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-filteringcolumns" */ "../../illustrations/sapIllus-Spot-FilteringColumns.js")).default;
        case "sapIllus-Spot-GroupTable": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-grouptable" */ "../../illustrations/sapIllus-Spot-GroupTable.js")).default;
        case "sapIllus-Spot-GroupingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-groupingcolumns" */ "../../illustrations/sapIllus-Spot-GroupingColumns.js")).default;
        case "sapIllus-Spot-KeyTask": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-keytask" */ "../../illustrations/sapIllus-Spot-KeyTask.js")).default;
        case "sapIllus-Spot-NewMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-newmail" */ "../../illustrations/sapIllus-Spot-NewMail.js")).default;
        case "sapIllus-Spot-NoActivities": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-noactivities" */ "../../illustrations/sapIllus-Spot-NoActivities.js")).default;
        case "sapIllus-Spot-NoChartData": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-nochartdata" */ "../../illustrations/sapIllus-Spot-NoChartData.js")).default;
        case "sapIllus-Spot-NoColumnsSet": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-nocolumnsset" */ "../../illustrations/sapIllus-Spot-NoColumnsSet.js")).default;
        case "sapIllus-Spot-NoData": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-nodata" */ "../../illustrations/sapIllus-Spot-NoData.js")).default;
        case "sapIllus-Spot-NoDimensionsSet": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-nodimensionsset" */ "../../illustrations/sapIllus-Spot-NoDimensionsSet.js")).default;
        case "sapIllus-Spot-NoEntries": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-noentries" */ "../../illustrations/sapIllus-Spot-NoEntries.js")).default;
        case "sapIllus-Spot-NoFilterResults": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-nofilterresults" */ "../../illustrations/sapIllus-Spot-NoFilterResults.js")).default;
        case "sapIllus-Spot-NoMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-nomail" */ "../../illustrations/sapIllus-Spot-NoMail.js")).default;
        case "sapIllus-Spot-NoMail_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-nomail_v1" */ "../../illustrations/sapIllus-Spot-NoMail_v1.js")).default;
        case "sapIllus-Spot-NoNotifications": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-nonotifications" */ "../../illustrations/sapIllus-Spot-NoNotifications.js")).default;
        case "sapIllus-Spot-NoSavedItems": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-nosaveditems" */ "../../illustrations/sapIllus-Spot-NoSavedItems.js")).default;
        case "sapIllus-Spot-NoSavedItems_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-nosaveditems_v1" */ "../../illustrations/sapIllus-Spot-NoSavedItems_v1.js")).default;
        case "sapIllus-Spot-NoSearchResults": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-nosearchresults" */ "../../illustrations/sapIllus-Spot-NoSearchResults.js")).default;
        case "sapIllus-Spot-NoTasks": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-notasks" */ "../../illustrations/sapIllus-Spot-NoTasks.js")).default;
        case "sapIllus-Spot-NoTasks_v1": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-notasks_v1" */ "../../illustrations/sapIllus-Spot-NoTasks_v1.js")).default;
        case "sapIllus-Spot-PageNotFound": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-pagenotfound" */ "../../illustrations/sapIllus-Spot-PageNotFound.js")).default;
        case "sapIllus-Spot-ReceiveAppreciation": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-receiveappreciation" */ "../../illustrations/sapIllus-Spot-ReceiveAppreciation.js")).default;
        case "sapIllus-Spot-ReloadScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-reloadscreen" */ "../../illustrations/sapIllus-Spot-ReloadScreen.js")).default;
        case "sapIllus-Spot-ResizeColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-resizecolumn" */ "../../illustrations/sapIllus-Spot-ResizeColumn.js")).default;
        case "sapIllus-Spot-ResizingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-resizingcolumns" */ "../../illustrations/sapIllus-Spot-ResizingColumns.js")).default;
        case "sapIllus-Spot-SearchEarth": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-searchearth" */ "../../illustrations/sapIllus-Spot-SearchEarth.js")).default;
        case "sapIllus-Spot-SearchFolder": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-searchfolder" */ "../../illustrations/sapIllus-Spot-SearchFolder.js")).default;
        case "sapIllus-Spot-SignOut": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-signout" */ "../../illustrations/sapIllus-Spot-SignOut.js")).default;
        case "sapIllus-Spot-SimpleBalloon": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simpleballoon" */ "../../illustrations/sapIllus-Spot-SimpleBalloon.js")).default;
        case "sapIllus-Spot-SimpleBell": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simplebell" */ "../../illustrations/sapIllus-Spot-SimpleBell.js")).default;
        case "sapIllus-Spot-SimpleCalendar": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simplecalendar" */ "../../illustrations/sapIllus-Spot-SimpleCalendar.js")).default;
        case "sapIllus-Spot-SimpleCheckMark": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simplecheckmark" */ "../../illustrations/sapIllus-Spot-SimpleCheckMark.js")).default;
        case "sapIllus-Spot-SimpleConnection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simpleconnection" */ "../../illustrations/sapIllus-Spot-SimpleConnection.js")).default;
        case "sapIllus-Spot-SimpleEmptyDoc": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simpleemptydoc" */ "../../illustrations/sapIllus-Spot-SimpleEmptyDoc.js")).default;
        case "sapIllus-Spot-SimpleEmptyList": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simpleemptylist" */ "../../illustrations/sapIllus-Spot-SimpleEmptyList.js")).default;
        case "sapIllus-Spot-SimpleError": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simpleerror" */ "../../illustrations/sapIllus-Spot-SimpleError.js")).default;
        case "sapIllus-Spot-SimpleMagnifier": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simplemagnifier" */ "../../illustrations/sapIllus-Spot-SimpleMagnifier.js")).default;
        case "sapIllus-Spot-SimpleMail": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simplemail" */ "../../illustrations/sapIllus-Spot-SimpleMail.js")).default;
        case "sapIllus-Spot-SimpleNoSavedItems": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simplenosaveditems" */ "../../illustrations/sapIllus-Spot-SimpleNoSavedItems.js")).default;
        case "sapIllus-Spot-SimpleNotFoundMagnifier": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simplenotfoundmagnifier" */ "../../illustrations/sapIllus-Spot-SimpleNotFoundMagnifier.js")).default;
        case "sapIllus-Spot-SimpleReload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simplereload" */ "../../illustrations/sapIllus-Spot-SimpleReload.js")).default;
        case "sapIllus-Spot-SimpleTask": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-simpletask" */ "../../illustrations/sapIllus-Spot-SimpleTask.js")).default;
        case "sapIllus-Spot-SleepingBell": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-sleepingbell" */ "../../illustrations/sapIllus-Spot-SleepingBell.js")).default;
        case "sapIllus-Spot-SortColumn": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-sortcolumn" */ "../../illustrations/sapIllus-Spot-SortColumn.js")).default;
        case "sapIllus-Spot-SortingColumns": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-sortingcolumns" */ "../../illustrations/sapIllus-Spot-SortingColumns.js")).default;
        case "sapIllus-Spot-SuccessBalloon": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-successballoon" */ "../../illustrations/sapIllus-Spot-SuccessBalloon.js")).default;
        case "sapIllus-Spot-SuccessCheckMark": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-successcheckmark" */ "../../illustrations/sapIllus-Spot-SuccessCheckMark.js")).default;
        case "sapIllus-Spot-SuccessHighFive": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-successhighfive" */ "../../illustrations/sapIllus-Spot-SuccessHighFive.js")).default;
        case "sapIllus-Spot-SuccessScreen": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-successscreen" */ "../../illustrations/sapIllus-Spot-SuccessScreen.js")).default;
        case "sapIllus-Spot-Survey": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-survey" */ "../../illustrations/sapIllus-Spot-Survey.js")).default;
        case "sapIllus-Spot-Tent": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-tent" */ "../../illustrations/sapIllus-Spot-Tent.js")).default;
        case "sapIllus-Spot-UnableToLoad": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-unabletoload" */ "../../illustrations/sapIllus-Spot-UnableToLoad.js")).default;
        case "sapIllus-Spot-UnableToLoadImage": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-unabletoloadimage" */ "../../illustrations/sapIllus-Spot-UnableToLoadImage.js")).default;
        case "sapIllus-Spot-UnableToUpload": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-unabletoupload" */ "../../illustrations/sapIllus-Spot-UnableToUpload.js")).default;
        case "sapIllus-Spot-UploadCollection": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-uploadcollection" */ "../../illustrations/sapIllus-Spot-UploadCollection.js")).default;
        case "sapIllus-Spot-UploadToCloud": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-uploadtocloud" */ "../../illustrations/sapIllus-Spot-UploadToCloud.js")).default;
        case "sapIllus-Spot-UserHasSignedUp": return (await import(/* webpackChunkName: "ui5-webcomponents-fiori-sapillus-spot-userhassignedup" */ "../../illustrations/sapIllus-Spot-UserHasSignedUp.js")).default;
        default:
            throw new Error("[Illustrations] Illustration not found: " + illustrationName);
    }
};
const loadAndCheck = async (illustrationName) => {
    const data = await loadIllustration(illustrationName);
    return data;
};
["Achievement", "AddColumn", "AddDimensions", "AddPeople", "AddPeopleToCalendar", "AddingColumns", "BalloonSky", "BeforeSearch", "Connection", "DragFilesToUpload", "EmptyCalendar", "EmptyList", "EmptyPlanningCalendar", "ErrorScreen", "FilterTable", "FilteringColumns", "GroupTable", "GroupingColumns", "KeyTask", "NewMail", "NoActivities", "NoChartData", "NoColumnsSet", "NoData", "NoDimensionsSet", "NoEntries", "NoFilterResults", "NoMail", "NoMail_v1", "NoNotifications", "NoSavedItems", "NoSavedItems_v1", "NoSearchResults", "NoTasks", "NoTasks_v1", "PageNotFound", "ReceiveAppreciation", "ReloadScreen", "ResizeColumn", "ResizingColumns", "SearchEarth", "SearchFolder", "SignOut", "SimpleBalloon", "SimpleBell", "SimpleCalendar", "SimpleCheckMark", "SimpleConnection", "SimpleEmptyDoc", "SimpleEmptyList", "SimpleError", "SimpleMagnifier", "SimpleMail", "SimpleNoSavedItems", "SimpleNotFoundMagnifier", "SimpleReload", "SimpleTask", "SleepingBell", "SortColumn", "SortingColumns", "SuccessBalloon", "SuccessCheckMark", "SuccessHighFive", "SuccessScreen", "Survey", "Tent", "UnableToLoad", "UnableToLoadImage", "UnableToUpload", "UploadCollection", "UploadToCloud", "UserHasSignedUp", "sapIllus-Dialog-Achievement", "sapIllus-Dialog-AddColumn", "sapIllus-Dialog-AddDimensions", "sapIllus-Dialog-AddPeople", "sapIllus-Dialog-AddPeopleToCalendar", "sapIllus-Dialog-AddingColumns", "sapIllus-Dialog-BalloonSky", "sapIllus-Dialog-BeforeSearch", "sapIllus-Dialog-Connection", "sapIllus-Dialog-DragFilesToUpload", "sapIllus-Dialog-EmptyCalendar", "sapIllus-Dialog-EmptyList", "sapIllus-Dialog-EmptyPlanningCalendar", "sapIllus-Dialog-ErrorScreen", "sapIllus-Dialog-FilterTable", "sapIllus-Dialog-FilteringColumns", "sapIllus-Dialog-GroupTable", "sapIllus-Dialog-GroupingColumns", "sapIllus-Dialog-KeyTask", "sapIllus-Dialog-NewMail", "sapIllus-Dialog-NoActivities", "sapIllus-Dialog-NoChartData", "sapIllus-Dialog-NoColumnsSet", "sapIllus-Dialog-NoData", "sapIllus-Dialog-NoDimensionsSet", "sapIllus-Dialog-NoEntries", "sapIllus-Dialog-NoFilterResults", "sapIllus-Dialog-NoMail", "sapIllus-Dialog-NoMail_v1", "sapIllus-Dialog-NoNotifications", "sapIllus-Dialog-NoSavedItems", "sapIllus-Dialog-NoSavedItems_v1", "sapIllus-Dialog-NoSearchResults", "sapIllus-Dialog-NoTasks", "sapIllus-Dialog-NoTasks_v1", "sapIllus-Dialog-PageNotFound", "sapIllus-Dialog-ReceiveAppreciation", "sapIllus-Dialog-ReloadScreen", "sapIllus-Dialog-ResizeColumn", "sapIllus-Dialog-ResizingColumns", "sapIllus-Dialog-SearchEarth", "sapIllus-Dialog-SearchFolder", "sapIllus-Dialog-SignOut", "sapIllus-Dialog-SimpleBalloon", "sapIllus-Dialog-SimpleBell", "sapIllus-Dialog-SimpleCalendar", "sapIllus-Dialog-SimpleCheckMark", "sapIllus-Dialog-SimpleConnection", "sapIllus-Dialog-SimpleEmptyDoc", "sapIllus-Dialog-SimpleEmptyList", "sapIllus-Dialog-SimpleError", "sapIllus-Dialog-SimpleMagnifier", "sapIllus-Dialog-SimpleMail", "sapIllus-Dialog-SimpleNoSavedItems", "sapIllus-Dialog-SimpleNotFoundMagnifier", "sapIllus-Dialog-SimpleReload", "sapIllus-Dialog-SimpleTask", "sapIllus-Dialog-SleepingBell", "sapIllus-Dialog-SortColumn", "sapIllus-Dialog-SortingColumns", "sapIllus-Dialog-SuccessBalloon", "sapIllus-Dialog-SuccessCheckMark", "sapIllus-Dialog-SuccessHighFive", "sapIllus-Dialog-SuccessScreen", "sapIllus-Dialog-Survey", "sapIllus-Dialog-Tent", "sapIllus-Dialog-UnableToLoad", "sapIllus-Dialog-UnableToLoadImage", "sapIllus-Dialog-UnableToUpload", "sapIllus-Dialog-UploadCollection", "sapIllus-Dialog-UploadToCloud", "sapIllus-Dialog-UserHasSignedUp", "sapIllus-Dot-Achievement", "sapIllus-Dot-AddColumn", "sapIllus-Dot-AddDimensions", "sapIllus-Dot-AddPeople", "sapIllus-Dot-AddPeopleToCalendar", "sapIllus-Dot-AddingColumns", "sapIllus-Dot-BalloonSky", "sapIllus-Dot-BeforeSearch", "sapIllus-Dot-Connection", "sapIllus-Dot-DragFilesToUpload", "sapIllus-Dot-EmptyCalendar", "sapIllus-Dot-EmptyList", "sapIllus-Dot-EmptyPlanningCalendar", "sapIllus-Dot-ErrorScreen", "sapIllus-Dot-FilterTable", "sapIllus-Dot-FilteringColumns", "sapIllus-Dot-GroupTable", "sapIllus-Dot-GroupingColumns", "sapIllus-Dot-KeyTask", "sapIllus-Dot-NewMail", "sapIllus-Dot-NoActivities", "sapIllus-Dot-NoChartData", "sapIllus-Dot-NoColumnsSet", "sapIllus-Dot-NoData", "sapIllus-Dot-NoDimensionsSet", "sapIllus-Dot-NoEntries", "sapIllus-Dot-NoFilterResults", "sapIllus-Dot-NoMail", "sapIllus-Dot-NoMail_v1", "sapIllus-Dot-NoNotifications", "sapIllus-Dot-NoSavedItems", "sapIllus-Dot-NoSavedItems_v1", "sapIllus-Dot-NoSearchResults", "sapIllus-Dot-NoTasks", "sapIllus-Dot-NoTasks_v1", "sapIllus-Dot-PageNotFound", "sapIllus-Dot-ReceiveAppreciation", "sapIllus-Dot-ReloadScreen", "sapIllus-Dot-ResizeColumn", "sapIllus-Dot-ResizingColumns", "sapIllus-Dot-SearchEarth", "sapIllus-Dot-SearchFolder", "sapIllus-Dot-SignOut", "sapIllus-Dot-SimpleBalloon", "sapIllus-Dot-SimpleBell", "sapIllus-Dot-SimpleCalendar", "sapIllus-Dot-SimpleCheckMark", "sapIllus-Dot-SimpleConnection", "sapIllus-Dot-SimpleEmptyDoc", "sapIllus-Dot-SimpleEmptyList", "sapIllus-Dot-SimpleError", "sapIllus-Dot-SimpleMagnifier", "sapIllus-Dot-SimpleMail", "sapIllus-Dot-SimpleNoSavedItems", "sapIllus-Dot-SimpleNotFoundMagnifier", "sapIllus-Dot-SimpleReload", "sapIllus-Dot-SimpleTask", "sapIllus-Dot-SleepingBell", "sapIllus-Dot-SortColumn", "sapIllus-Dot-SortingColumns", "sapIllus-Dot-SuccessHighFive", "sapIllus-Dot-SuccessScreen", "sapIllus-Dot-Survey", "sapIllus-Dot-Tent", "sapIllus-Dot-UnableToLoad", "sapIllus-Dot-UnableToLoadImage", "sapIllus-Dot-UnableToUpload", "sapIllus-Dot-UploadCollection", "sapIllus-Dot-UploadToCloud", "sapIllus-Dot-UserHasSignedUp", "sapIllus-Scene-Achievement", "sapIllus-Scene-AddColumn", "sapIllus-Scene-AddDimensions", "sapIllus-Scene-AddPeople", "sapIllus-Scene-AddPeopleToCalendar", "sapIllus-Scene-AddingColumns", "sapIllus-Scene-BalloonSky", "sapIllus-Scene-BeforeSearch", "sapIllus-Scene-Connection", "sapIllus-Scene-DragFilesToUpload", "sapIllus-Scene-EmptyCalendar", "sapIllus-Scene-EmptyList", "sapIllus-Scene-EmptyPlanningCalendar", "sapIllus-Scene-ErrorScreen", "sapIllus-Scene-FilterTable", "sapIllus-Scene-FilteringColumns", "sapIllus-Scene-GroupTable", "sapIllus-Scene-GroupingColumns", "sapIllus-Scene-KeyTask", "sapIllus-Scene-NewMail", "sapIllus-Scene-NoActivities", "sapIllus-Scene-NoChartData", "sapIllus-Scene-NoColumnsSet", "sapIllus-Scene-NoData", "sapIllus-Scene-NoDimensionsSet", "sapIllus-Scene-NoEntries", "sapIllus-Scene-NoFilterResults", "sapIllus-Scene-NoMail", "sapIllus-Scene-NoMail_v1", "sapIllus-Scene-NoNotifications", "sapIllus-Scene-NoSavedItems", "sapIllus-Scene-NoSavedItems_v1", "sapIllus-Scene-NoSearchResults", "sapIllus-Scene-NoTasks", "sapIllus-Scene-NoTasks_v1", "sapIllus-Scene-PageNotFound", "sapIllus-Scene-ReceiveAppreciation", "sapIllus-Scene-ReloadScreen", "sapIllus-Scene-ResizeColumn", "sapIllus-Scene-ResizingColumns", "sapIllus-Scene-SearchEarth", "sapIllus-Scene-SearchFolder", "sapIllus-Scene-SignOut", "sapIllus-Scene-SimpleBalloon", "sapIllus-Scene-SimpleBell", "sapIllus-Scene-SimpleCalendar", "sapIllus-Scene-SimpleCheckMark", "sapIllus-Scene-SimpleConnection", "sapIllus-Scene-SimpleEmptyDoc", "sapIllus-Scene-SimpleEmptyList", "sapIllus-Scene-SimpleError", "sapIllus-Scene-SimpleMagnifier", "sapIllus-Scene-SimpleMail", "sapIllus-Scene-SimpleNoSavedItems", "sapIllus-Scene-SimpleNotFoundMagnifier", "sapIllus-Scene-SimpleReload", "sapIllus-Scene-SimpleTask", "sapIllus-Scene-SleepingBell", "sapIllus-Scene-SortColumn", "sapIllus-Scene-SortingColumns", "sapIllus-Scene-SuccessBalloon", "sapIllus-Scene-SuccessCheckMark", "sapIllus-Scene-SuccessHighFive", "sapIllus-Scene-SuccessScreen", "sapIllus-Scene-Survey", "sapIllus-Scene-Tent", "sapIllus-Scene-UnableToLoad", "sapIllus-Scene-UnableToLoadImage", "sapIllus-Scene-UnableToUpload", "sapIllus-Scene-UploadCollection", "sapIllus-Scene-UploadToCloud", "sapIllus-Scene-UserHasSignedUp", "sapIllus-Spot-Achievement", "sapIllus-Spot-AddColumn", "sapIllus-Spot-AddDimensions", "sapIllus-Spot-AddPeople", "sapIllus-Spot-AddPeopleToCalendar", "sapIllus-Spot-AddingColumns", "sapIllus-Spot-BalloonSky", "sapIllus-Spot-BeforeSearch", "sapIllus-Spot-Connection", "sapIllus-Spot-DragFilesToUpload", "sapIllus-Spot-EmptyCalendar", "sapIllus-Spot-EmptyList", "sapIllus-Spot-EmptyPlanningCalendar", "sapIllus-Spot-ErrorScreen", "sapIllus-Spot-FilterTable", "sapIllus-Spot-FilteringColumns", "sapIllus-Spot-GroupTable", "sapIllus-Spot-GroupingColumns", "sapIllus-Spot-KeyTask", "sapIllus-Spot-NewMail", "sapIllus-Spot-NoActivities", "sapIllus-Spot-NoChartData", "sapIllus-Spot-NoColumnsSet", "sapIllus-Spot-NoData", "sapIllus-Spot-NoDimensionsSet", "sapIllus-Spot-NoEntries", "sapIllus-Spot-NoFilterResults", "sapIllus-Spot-NoMail", "sapIllus-Spot-NoMail_v1", "sapIllus-Spot-NoNotifications", "sapIllus-Spot-NoSavedItems", "sapIllus-Spot-NoSavedItems_v1", "sapIllus-Spot-NoSearchResults", "sapIllus-Spot-NoTasks", "sapIllus-Spot-NoTasks_v1", "sapIllus-Spot-PageNotFound", "sapIllus-Spot-ReceiveAppreciation", "sapIllus-Spot-ReloadScreen", "sapIllus-Spot-ResizeColumn", "sapIllus-Spot-ResizingColumns", "sapIllus-Spot-SearchEarth", "sapIllus-Spot-SearchFolder", "sapIllus-Spot-SignOut", "sapIllus-Spot-SimpleBalloon", "sapIllus-Spot-SimpleBell", "sapIllus-Spot-SimpleCalendar", "sapIllus-Spot-SimpleCheckMark", "sapIllus-Spot-SimpleConnection", "sapIllus-Spot-SimpleEmptyDoc", "sapIllus-Spot-SimpleEmptyList", "sapIllus-Spot-SimpleError", "sapIllus-Spot-SimpleMagnifier", "sapIllus-Spot-SimpleMail", "sapIllus-Spot-SimpleNoSavedItems", "sapIllus-Spot-SimpleNotFoundMagnifier", "sapIllus-Spot-SimpleReload", "sapIllus-Spot-SimpleTask", "sapIllus-Spot-SleepingBell", "sapIllus-Spot-SortColumn", "sapIllus-Spot-SortingColumns", "sapIllus-Spot-SuccessBalloon", "sapIllus-Spot-SuccessCheckMark", "sapIllus-Spot-SuccessHighFive", "sapIllus-Spot-SuccessScreen", "sapIllus-Spot-Survey", "sapIllus-Spot-Tent", "sapIllus-Spot-UnableToLoad", "sapIllus-Spot-UnableToLoadImage", "sapIllus-Spot-UnableToUpload", "sapIllus-Spot-UploadCollection", "sapIllus-Spot-UploadToCloud", "sapIllus-Spot-UserHasSignedUp"].forEach((illustrationName) => registerIllustrationLoader(`fiori/V4/${illustrationName}`, loadAndCheck));
//# sourceMappingURL=Illustrations.js.map